<?xml version="1.0" encoding="UTF-8"?>
<!--
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<listing xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Ui:etc/ui_configuration.xsd">
    <argument name="data" xsi:type="array">
        <item name="js_config" xsi:type="array">
            <item name="provider" xsi:type="string">sales_order_grid_deliveryinprogresss.sales_order_grid_data_source</item>
        </item>
    </argument>
    <settings>
        <spinner>sales_order_columns</spinner>
        <deps>
            <dep>sales_order_grid_deliveryinprogresss.sales_order_grid_data_source</dep>
        </deps>
    </settings>
    <dataSource name="sales_order_grid_deliveryinprogresss" component="Magento_Ui/js/grid/provider">
        <settings>
            <updateUrl path="mui/index/render"/>
            <filterUrlParams>
                <param name="status">delivery_in_progress</param>
            </filterUrlParams>
        </settings>
        <aclResource>Magento_Sales::sales_order</aclResource>
        <dataProvider class="Magento\Framework\View\Element\UiComponent\DataProvider\DataProvider" name="sales_order_grid_data_source">
            <settings>
                <requestFieldName>id</requestFieldName>
                <primaryFieldName>main_table.entity_id</primaryFieldName>
            </settings>
        </dataProvider>
    </dataSource>
    <listingToolbar name="listing_top">
        <settings>
            <sticky>true</sticky>
        </settings>
        <bookmark name="bookmarks"/>
        <columnsControls name="columns_controls"/>
        <exportButton name="export_button"/>
        <filterSearch name="fulltext"/>
        <filters name="listing_filters">
            <filterSelect name="store_id" provider="${ $.parentName }">
                <settings>
                    <options class="Magento\Store\Ui\Component\Listing\Column\Store\Options"/>
                    <caption translate="true">All Store Views</caption>
                    <label translate="true">Purchase Point</label>
                    <dataScope>store_id</dataScope>
                    <imports>
                        <link name="visible">ns = ${ $.ns }, componentType = column, index = ${ $.index }:visible</link>
                    </imports>
                </settings>
            </filterSelect>
        </filters>
        <massaction name="listing_massaction" component="Magento_Ui/js/grid/tree-massactions">
            <action name="cancel">
                <settings>
                    <url path="sales/order/massCancel"/>
                    <type>cancel</type>
                    <label translate="true">Cancel</label>
                </settings>
            </action>
            <action name="hold_order">
                <settings>
                    <url path="sales/order/massHold"/>
                    <type>hold_order</type>
                    <label translate="true">Hold</label>
                </settings>
            </action>
            <action name="unhold_order">
                <settings>
                    <url path="sales/order/massUnhold"/>
                    <type>unhold_order</type>
                    <label translate="true">Unhold</label>
                </settings>
            </action>
            <action name="pdfinvoices_order">
                <settings>
                    <url path="sales/order/pdfinvoices"/>
                    <type>pdfinvoices_order</type>
                    <label translate="true">Print Invoices</label>
                </settings>
            </action>
            <action name="pdfshipments_order">
                <settings>
                    <url path="sales/order/pdfshipments"/>
                    <type>pdfshipments_order</type>
                    <label translate="true">Print Packing Slips</label>
                </settings>
            </action>
            <action name="pdfcreditmemos_order">
                <settings>
                    <url path="sales/order/pdfcreditmemos"/>
                    <type>pdfcreditmemos_order</type>
                    <label translate="true">Print Credit Memos</label>
                </settings>
            </action>
            <action name="pdfdocs_order">
                <settings>
                    <url path="sales/order/pdfdocs"/>
                    <type>pdfdocs_order</type>
                    <label translate="true">Print All</label>
                </settings>
            </action>
            <action name="print_shipping_label">
                <settings>
                    <url path="adminhtml/order_shipment/massPrintShippingLabel"/>
                    <type>print_shipping_label</type>
                    <label translate="true">Print Shipping Labels</label>
                </settings>
            </action>
            <action name="sendconfirmation">
                <settings>
                    <confirm>
                        <message translate="true">Are you sure to send Confirmation Mail to selected customers?</message>
                        <title translate="true">Send Mail</title>
                    </confirm>
                    <url path="delivery_management/items/Indexes"/> <!-- your custom controller to handle request -->
                    <type>sendconfirmation</type>
                    <label translate="true">Delivery Expert</label>
                </settings>
            </action>
        </massaction>
        <paging name="listing_paging"/>
    </listingToolbar>
    <columns name="sales_order_columns">
        <settings>
            <childDefaults>
                <param name="fieldAction" xsi:type="array">
                    <item name="provider" xsi:type="string">sales_order_grid_deliveryinprogresss.sales_order_grid.sales_order_columns.actions</item>
                    <item name="target" xsi:type="string">applyAction</item>
                    <item name="params" xsi:type="array">
                        <item name="0" xsi:type="string">complete</item>
                        <item name="1" xsi:type="string">${ $.$data.rowIndex }</item>
                    </item>
                </param>
            </childDefaults>
        </settings>
        <selectionsColumn name="ids">
            <settings>
                <indexField>entity_id</indexField>
            </settings>
        </selectionsColumn>
        <column name="increment_id">
            <settings>
                <filter>text</filter>
                <label translate="true">ID</label>
            </settings>
        </column>
        <column name="store_id" class="Magento\Store\Ui\Component\Listing\Column\Store">
            <settings>
                <label translate="true">Purchase Point</label>
                <bodyTmpl>ui/grid/cells/html</bodyTmpl>
                <sortable>false</sortable>
            </settings>
        </column>
        <column name="created_at" class="Magento\Ui\Component\Listing\Columns\Date" component="Magento_Ui/js/grid/columns/date">
            <settings>
                <filter>dateRange</filter>
                <dataType>date</dataType>
                <label translate="true">Purchase Date</label>
                <sorting>desc</sorting>
            </settings>
        </column>
        <column name="delivery_person">
            <settings>
                <filter>text</filter>
                <label translate="true">Delivery Person</label>
            </settings>
        </column>
        <column name="billing_name">
            <settings>
                <filter>text</filter>
                <label translate="true">Bill-to Name</label>
            </settings>
        </column>
        <column name="shipping_name">
            <settings>
                <filter>text</filter>
                <label translate="true">Ship-to Name</label>
            </settings>
        </column>
        <column name="base_grand_total" class="Magento\Sales\Ui\Component\Listing\Column\Price">
            <settings>
                <filter>textRange</filter>
                <label translate="true">Grand Total (Base)</label>
            </settings>
        </column>
        <column name="grand_total" class="Magento\Sales\Ui\Component\Listing\Column\PurchasedPrice">
            <settings>
                <filter>textRange</filter>
                <label translate="true">Grand Total (Purchased)</label>
            </settings>
        </column>
        <column name="status" component="Magento_Ui/js/grid/columns/select">
            <settings>
                <filter>select</filter>
                <options class="Magento\Sales\Ui\Component\Listing\Column\Status\Options"/>
                <dataType>select</dataType>
                <label translate="true">Status</label>
            </settings>
        </column>
        <column name="billing_address" class="Magento\Sales\Ui\Component\Listing\Column\Address">
            <settings>
                <filter>text</filter>
                <label translate="true">Billing Address</label>
                <bodyTmpl>ui/grid/cells/html</bodyTmpl>
                <visible>false</visible>
            </settings>
        </column>
        <column name="shipping_address" class="Magento\Sales\Ui\Component\Listing\Column\Address">
            <settings>
                <filter>text</filter>
                <label translate="true">Shipping Address</label>
                <bodyTmpl>ui/grid/cells/html</bodyTmpl>
                <visible>false</visible>
            </settings>
        </column>
         <column name="delivery_picker">
            <settings>
                <filter>text</filter>
                <label translate="true">Delivery Picker</label>
            </settings>
        </column>
        <column name="shipping_information">
            <settings>
                <filter>text</filter>
                <label translate="true">Shipping Information</label>
                <visible>false</visible>
            </settings>
        </column>
        <column name="customer_email">
            <settings>
                <filter>text</filter>
                <label translate="true">Customer Email</label>
                <visible>false</visible>
            </settings>
        </column>
        <column name="customer_group" component="Magento_Ui/js/grid/columns/select">
            <settings>
                <filter>select</filter>
                <options class="Magento\Customer\Ui\Component\Listing\Column\Group\Options"/>
                <dataType>select</dataType>
                <label translate="true">Customer Group</label>
                <visible>false</visible>
            </settings>
        </column>
        <column name="subtotal" class="Magento\Sales\Ui\Component\Listing\Column\Price">
            <settings>
                <filter>textRange</filter>
                <label translate="true">Subtotal</label>
                <visible>false</visible>
            </settings>
        </column>
        <column name="shipping_and_handling" class="Magento\Sales\Ui\Component\Listing\Column\Price">
            <settings>
                <filter>textRange</filter>
                <label translate="true">Shipping and Handling</label>
                <visible>false</visible>
            </settings>
        </column>
        <column name="customer_name">
            <settings>
                <filter>text</filter>
                <label translate="true">Customer Name</label>
                <visible>false</visible>
            </settings>
        </column>
        <column name="payment_method" component="Magento_Ui/js/grid/columns/select">
            <settings>
                <filter>select</filter>
                <options class="Magento\Payment\Ui\Component\Listing\Column\Method\Options"/>
                <dataType>select</dataType>
                <label translate="true">Payment Method</label>
                <visible>false</visible>
            </settings>
        </column>
        <column name="total_refunded" class="Magento\Sales\Ui\Component\Listing\Column\PurchasedPrice">
            <settings>
                <filter>textRange</filter>
                <label translate="true">Total Refunded</label>
                <visible>false</visible>
            </settings>
        </column>
        <actionsColumn name="actions" class="Magento\Sales\Ui\Component\Listing\Column\ViewAction">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="viewUrlPath" xsi:type="string">delivery_management/items/view</item>
                    <item name="urlEntityParamName" xsi:type="string">order_id</item>
                </item>
            </argument>
            <settings>
                <indexField>entity_id</indexField>
            </settings>
        </actionsColumn>
    </columns>
</listing>
